import { Component, OnInit } from '@angular/core';
import {PythonBackendService} from '../core/python-backend.service';
import {Router} from '@angular/router';
import {SpringBackendServiceService} from "../spring-backend-service.service";

@Component({
  selector: 'app-add-pet',
  templateUrl: './add-pet.page.html',
  styleUrls: ['./add-pet.page.scss'],
})
export class AddPetPage implements OnInit {
  name: string;
  breed: string;
  age = 0;
  ageMonths = 0;
  weight = 1;
  gender = 1;
  private errorMessage: string;

  constructor(
    private pythonBackendService: PythonBackendService,
    private router: Router,
    private springBackendServiceService: SpringBackendServiceService
  ) { }

  ngOnInit() {
  }

  submit() {
    if (this.name && this.weight) {
      this.springBackendServiceService.newDog({
        ageMonths: this.ageMonths,
        ageYears: this.age,
        breed: this.breed,
        gender: this.gender,
        id: null,
        imageUrl: '',
        name: this.name,
        weight: this.weight
      })
        .subscribe(res => {
          console.log(res);
          this.router.navigate(['/home']);
        }, error => {
          console.log(error);
        });
    }
  }
}
