import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: 'tabs',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'login',
    loadChildren: () => import('./login/login.module').then( m => m.LoginPageModule)
  },
  {
    path: '',
    redirectTo: 'login',
    pathMatch: 'full'
  },
  {
    path: 'signup',
    loadChildren: () => import('./signup/signup.module').then( m => m.SignupPageModule)
  },
  {
    path: 'home',
    loadChildren: () => import('./home/home.module').then( m => m.HomePageModule)
  },
  {
    path: 'add-pet',
    loadChildren: () => import('./add-pet/add-pet.module').then( m => m.AddPetPageModule)
  },
  {
    path: 'pet-page',
    loadChildren: () => import('./pet-page/pet-page.module').then( m => m.PetPagePageModule)
  },
  {
    path: 'skin-disease-take-image',
    loadChildren: () => import('./skin-disease-take-image/skin-disease-take-image.module').then( m => m.SkinDiseaseTakeImagePageModule)
  },
  {
    path: 'problem-submit',
    loadChildren: () => import('./problem-submit/problem-submit.module').then( m => m.ProblemSubmitPageModule)
  },
  {
    path: 'diet-plan',
    loadChildren: () => import('./diet-plan/diet-plan.module').then( m => m.DietPlanPageModule)
  },
  {
    path: 'generated-food-plan/:isPuppy/:weight/:height/:breed/:signalment/:activityLevel',
    loadChildren: () => import('./generated-food-plan/generated-food-plan.module').then( m => m.GeneratedFoodPlanPageModule)
  },
  {
    path: 'generate-exercise-plan/:isPuppy/:weight/:height/:breed/:signalment/:activityLevel',
    loadChildren: () => import('./generate-exercise-plan/generate-exercise-plan.module').then( m => m.GenerateExercisePlanPageModule)
  },
  {
    path: 'chatbot',
    loadChildren: () => import('./chatbot/chatbot.module').then( m => m.ChatbotPageModule)
  },
  {
    path: 'posts',
    loadChildren: () => import('./posts/posts.module').then( m => m.PostsPageModule)
  },
  {
    path: 'chatbot-start',
    loadChildren: () => import('./chatbot-start/chatbot-start.module').then( m => m.ChatbotStartPageModule)
  },
  {
    path: 'skin-disease-result/:disease',
    loadChildren: () => import('./skin-disease-result/skin-disease-result.module').then( m => m.SkinDiseaseResultPageModule)
  },
  {
    path: 'skin-disease-report/:disease',
    loadChildren: () => import('./skin-disease-report/skin-disease-report.module').then( m => m.SkinDiseaseReportPageModule)
  },
  {
    path: 'diet-plan-puppy',
    loadChildren: () => import('./diet-plan-puppy/diet-plan-puppy.module').then( m => m.DietPlanPuppyPageModule)
  }






];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
