import { Injectable } from '@angular/core';
import {environment} from '../../environments/environment';
import {HttpClient} from '@angular/common/http';
import {Observable} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PythonBackendService {
  baseUrlSkinImageClassification = environment.baseUrlSkinImageClassification;
  baseUrlSymptoms = environment.baseUrlSymptoms;
  baseUrlOntology = environment.baseUrlOntology;
  baseUrlWeight = environment.baseUrlWeight;
  baseUrlWeightPuppy = environment.baseUrlWeightPuppy;
  baseUrlDb = environment.baseUrlDb;

  constructor(
    private httpClient: HttpClient
  ) { }

  predictSkinDisease(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlSkinImageClassification}predict`, data);
  }

  getImage(): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlSkinImageClassification}getImage`, null);
  }

  predictDiseaseWithSymptoms(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlSymptoms}predict`, data);
  }

  predictOntologyScore(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlOntology}predict`, data);
  }

  predictWeight(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlWeight}predict`, data);
  }

  predictWeightPuppy(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlWeightPuppy}predict`, data);
  }

  signup(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}signup`, data);
  }

  login(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}login`, data);
  }

  addPet(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}addPet`, data);
  }

  addQuestion(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}addQuestion`, data);
  }

  addReview(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}addReview`, data);
  }

  getPets(): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}getPets`, null);
  }

  getQuestions(): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}getQuestions`, null);
  }

  setQuestionVote(data: any): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}setQuestionVote`, data);
  }

  getReviews(): Observable<any> {
    return this.httpClient.post<any>(`${this.baseUrlDb}getReviews`, null);
  }
}
