import { Component, OnInit } from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {PythonBackendService} from '../core/python-backend.service';

@Component({
  selector: 'app-generate-exercise-plan',
  templateUrl: './generate-exercise-plan.page.html',
  styleUrls: ['./generate-exercise-plan.page.scss'],
})
export class GenerateExercisePlanPage implements OnInit {
  breed: number;
  weight: number;
  height: number;
  public prediction: string;

  constructor(
    private route: ActivatedRoute,
    private pythonBackendService: PythonBackendService
  ) { }

  ngOnInit() {
    this.breed = Number(this.route.snapshot.paramMap.get('breed'));
    this.weight = Number(this.route.snapshot.paramMap.get('weight'));
    this.height = Number(this.route.snapshot.paramMap.get('height'));
    this.pythonBackendService.predictWeight([[this.breed, this.height, this.weight]])
      .subscribe(res => {
        console.log(res);
        if (res.pred === '0') {
          this.prediction = 'Normal weight';
        }
        if (res.pred === '1') {
          this.prediction = 'Over weight';
        }
        if (res.pred === '-1') {
          this.prediction = 'Under weight';
        }
      });
  }

}
