import { Component, OnInit } from '@angular/core';
import {PythonBackendService} from '../core/python-backend.service';
import {Router} from '@angular/router';
import {SpringBackendServiceService} from "../spring-backend-service.service";
import {Dog} from "../interfaces/dog";

@Component({
  selector: 'app-home',
  templateUrl: './home.page.html',
  styleUrls: ['./home.page.scss'],
})
export class HomePage implements OnInit {
  public pets: any[];
  public dogs: Dog[] = [];

  constructor(
    private pythonBackendService: PythonBackendService,
    private router: Router,
    private springBackendServiceService: SpringBackendServiceService
  ) { }

  ngOnInit() {
    this.springBackendServiceService.allDogs()
      .subscribe(res => {
        console.log(res);
        this.dogs = res;
      }, error => {
        console.log(error);
      });
    this.pythonBackendService.getPets()
      .subscribe(res => {
        console.log(res);
        this.pets = res;
      });
  }

  selectPet(pet: Dog) {
    localStorage.setItem('name', pet.name);
    localStorage.setItem('breed', pet.breed);
    localStorage.setItem('age', String(pet.ageYears));
    localStorage.setItem('ageMonths', String(pet.ageMonths));
    localStorage.setItem('weight', String(pet.weight));
    localStorage.setItem('gender', String(pet.gender));
    this.router.navigate(['/pet-page']);
  }

}
