import { Component, OnInit } from '@angular/core';
import {PythonBackendService} from '../core/python-backend.service';
import {Router} from '@angular/router';
import {SpringBackendServiceService} from "../spring-backend-service.service";

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {
  email: string;
  password: string;
  private errorMessage: string;

  constructor(
    private pythonBackendService: PythonBackendService,
    private router: Router,
    private springBackendServiceService: SpringBackendServiceService
  ) { }

  ngOnInit() {
  }

  submit() {
    if (this.email && this.password) {
      this.springBackendServiceService.login({password: this.password, username: this.email})
        .subscribe(res => {
          console.log(res);
          if (res.token) {
            localStorage.setItem('token', res.token);
            localStorage.setItem('email', this.email);
            this.router.navigate(['/home']);
          }else {
            this.errorMessage = 'Login error';
          }
        }, error => {
          console.log(error);
        });
      // this.pythonBackendService.login({email: this.email, password: this.password})
      //   .subscribe(res => {
      //     console.log(res);
      //     if (res.id && res.id > 0) {
      //       localStorage.setItem('userId', res.id);
            localStorage.setItem('email', this.email);
      //       this.router.navigate(['/home']);
      //     }else {
      //       this.errorMessage = 'Login error';
      //     }
      //   });
    }
  }

}
