import { Component, OnInit } from '@angular/core';
import {PythonBackendService} from '../core/python-backend.service';
import {Router} from '@angular/router';
import {SpringBackendServiceService} from '../spring-backend-service.service';
import {UserDto} from '../interfaces/user-dto';

@Component({
  selector: 'app-signup',
  templateUrl: './signup.page.html',
  styleUrls: ['./signup.page.scss'],
})
export class SignupPage implements OnInit {
  userDto: UserDto = {id: null, name: '', password: '', username: ''};
  private error: string;
  private passwordRepeat: string;

  constructor(
    private pythonBackendService: PythonBackendService,
    private router: Router,
    private springBackendServiceService: SpringBackendServiceService
  ) { }

  ngOnInit() {
  }

  submit() {
    if (this.userDto.username && this.userDto.password) {
      this.springBackendServiceService.signup(this.userDto)
        .subscribe(res => {
          console.log(res);
          if (res.id) {
            this.router.navigate(['/login']);
          }else {
            this.error = 'Signup failed. Please try another username';
          }
        }, error => {
          console.log(error);
          this.error = 'Signup failed';
        });
      // this.pythonBackendService.signup({email: this.email, password: this.password})
      //   .subscribe(res => {
      //     console.log(res);
      //     this.router.navigate(['/login']);
      //   });
    }
  }
}
