import random

from keras.layers import Activation
import keras
import numpy as np
import tensorflow
from keras import backend as K
from keras.layers import Activation
from keras.layers import Conv2D, MaxPooling2D
from keras.layers import Dense, Dropout, Flatten
from keras.models import Sequential
print(tensorflow.__version__)
print(keras.__version__)

def predictImageClass(image):
    K.clear_session()
    # tensorflow.reset_default_graph()

    img_width, img_height = 350, 350

    if K.image_data_format() == 'channels_first':
        input_shape = (3, img_width, img_height)
    else:
        input_shape = (img_width, img_height, 3)

    model = Sequential()
    model.add(Conv2D(32, (2, 2), input_shape = input_shape))
    model.add(Activation('relu'))
    model.add(MaxPooling2D(pool_size =(2, 2)))

    model.add(Conv2D(64, (2, 2)))
    model.add(Activation('relu'))
    model.add(MaxPooling2D(pool_size =(2, 2)))

    model.add(Conv2D(32, (2, 2)))
    model.add(Activation('relu'))
    model.add(MaxPooling2D(pool_size =(2, 2)))

    model.add(Flatten())
    model.add(Dense(32))
    model.add(Activation('relu'))

    model.add(Dropout(0.5))
    model.add(Dense(3))
    model.add(Activation('softmax'))

    model.compile(loss='sparse_categorical_crossentropy',
                   optimizer='adam',
                   metrics=['accuracy'])

    model.load_weights('model_saved.h5')

    sess = keras.backend.get_session()
    # image = request.args.get('image', default = 1, type = str)
    print("------------------")
    print(image)
    print("------------------")
    img = tensorflow.read_file(image)
    img = tensorflow.image.decode_jpeg(img, channels=3)
    img.set_shape([None, None, 3])
    img = tensorflow.image.resize_images(img, (350, 350))
    img = img.eval(session=sess)  # convert to numpy array
    img = np.expand_dims(img, 0)  # make 'batch' of 1

    pred = model.predict(img)
    # pred = labels["label_names"][np.argmax(pred)]
    print(pred)
    y = ["Demodatic", "Dermatites", "ringworms"]
    print(np.argmax(pred))
    print(y[np.argmax(pred)])
    i = random.randint(0, 1)
    return {
        "pred": y[np.argmax(pred)],
        "accuracy": str(pred[0][np.argmax(pred)])
    }

# predictImageClass("data/test/Ringworm/Ringworm1.jpg")
